
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
      <script>
import extend from "@/extension/basic/materielCodeInfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "物料码信息",
      name: "MaterielCodeInfo",
      url: "/MaterielCodeInfo/",
      sortName: "id",
    });
    const editFormFields = ref({
      lotNo: "",
      warehouseId: "",
      purchaseOrderNo: "",
      materielCode: "",
      productionDate: "",
      effectiveDate: "",
    });
    const editFormOptions = ref([
      [
        {
          title: "仓库",
          field: "warehouseId",
          type: "select",
          dataKey: "areainfo",
          data: [],
          required: true,
        },
      ],
      [
        {
          title: "物料编码",
          field: "materielCode",
          type: "select",
          required: true,
          // dataKey: "MaterielCodes",
          data: [],
        },
      ],
      [
        {
          title: "采购单号",
          field: "purchaseOrderNo",
          type: "select",
          // dataKey: "purchaseOrderNos",
          data: [],
          required: true,
        },
      ],
      [
        {
          title: "批次号",
          field: "lotNo",
          required: true,
        },
      ],
      [
        {
          title: "数量",
          field: "quantity",
          required: true,
        },
      ],
      [
        {
          title: "生产日期",
          field: "productionDate",
          // type: "date",
          required: true,
        },
      ],
      [
        {
          title: "有效期",
          field: "effectiveDate",
          // type: "date",
          required: true,
        },
      ],
    ]);
    const searchFormFields = ref({
      palletCode: "",
    });
    const searchFormOptions = ref([
      [{ title: "批次号", field: "lotNo", type: "like" }],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "materielCode",
        title: "物料编号",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "warehouseId",
        title: "仓库",
        type: "string",
        width: 90,
        align: "left",
        bind: { key: "areainfo", data: [] },
      },
      {
        field: "purchaseOrderNo",
        title: "采购单号",
        type: "string",
        width: 160,
        align: "left",
      },
      {
        field: "lotNo",
        title: "批次号",
        type: "string",
        width: 200,
        align: "left",
      },
      {
        field: "quantity",
        title: "数量",
        type: "int",
        width: 80,
        align: "left",
      },
      {
        field: "productionDate",
        title: "生产日期",
        type: "date",
        width: 100,
        align: "left",
        sort: true,
      },
      {
        field: "effectiveDate",
        title: "有效期",
        type: "date",
        width: 100,
        align: "left",
        sort: true,
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
        sort: true,
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        hidden: true,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
        hidden: true,
        sort: true,
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
      